Subject: bug#5358: 23.1; Adding comment loses customizations in progress

From: Dave Abrahams <[email-masked]>
Date: Thu, 18 Feb 2016 07:29:56 -0800

There's an choice in the customization UI on emacsen < 24.5 that lets you add
a comment to any customization, but now I don't see it.  Apparently that
feature was dropped :(

on Tue Feb 16 2016, Andrew Hyatt <ahyatt-AT-gmail.com> wrote:

> Sorry, I don't understand this bug report. What do you mean by adding
> comments?
>
> David Abrahams <[email-masked]> writes:
>
>> Please write in English if possible, because the Emacs maintainers
>> usually do not have translators to read other languages for them.
>>
>> Your bug report will be posted to the [email-masked] mailing list,
>> and to the gnu.emacs.bug news group.
>>
>> Please describe exactly what actions triggered the bug
>> and the precise symptoms of the bug:
>>
>> Using the customization interface, I can make a change to a variable,
>> then try to add a comment before saving.  When I do that, the changes
>> I've already made are lost.
>>
>> If Emacs crashed, and you have the Emacs process in the gdb debugger,
>> please include the output from the following gdb commands:
>>     `bt full' and `xbacktrace'.
>> If you would like to further debug the crash, please read the file
>> /Applications/Emacs.app/Contents/Resources/etc/DEBUG for instructions.
>>
>>
>> In GNU Emacs 23.1.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
>>  of 2009-08-16 on black.local
>> Windowing system distributor `Apple', version 10.3.1038
>> configured using `configure  '--with-ns''
>>
>> Important settings:
>>   value of $LC_ALL: nil
>>   value of $LC_COLLATE: nil
>>   value of $LC_CTYPE: nil
>>   value of $LC_MESSAGES: nil
>>   value of $LC_MONETARY: nil
>>   value of $LC_NUMERIC: nil
>>   value of $LC_TIME: nil
>>   value of $LANG: nil
>>   value of $XMODIFIERS: nil
>>   locale-coding-system: nil
>>   default-enable-multibyte-characters: t
>>
>> Major mode: Custom
>>
>> Minor modes in effect:
>>   diff-auto-refine-mode: t
>>   shell-dirtrack-mode: t
>>   show-paren-mode: t
>>   server-mode: t
>>   global-auto-revert-mode: t
>>   delete-selection-mode: t
>>   tooltip-mode: t
>>   mouse-wheel-mode: t
>>   menu-bar-mode: t
>>   file-name-shadow-mode: t
>>   global-font-lock-mode: t
>>   font-lock-mode: t
>>   global-auto-composition-mode: t
>>   auto-composition-mode: t
>>   auto-encryption-mode: t
>>   auto-compression-mode: t
>>   line-number-mode: t
>>   transient-mark-mode: t
>>
>> Recent input:
>> C-n C-n C-p C-p C-. C-. C-. C-b C-b <return> C-n C-n 
>> C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
>> C-e <backspace> 0 C-n C-n C-n C-n C-n C-n C-n C-n C-n 
>> C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
>> C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p 
>> C-p C-p C-p C-n C-n C-n C-n C-n C-n C-n C-n C-n C-p 
>> C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p 
>> C-p C-p C-n C-n C-n C-n C-n C-n C-p C-p C-p C-p C-n 
>> C-n C-n C-n C-n C-n C-n C-n C-n C-p C-n C-n C-n C-n 
>> C-n C-n C-n C-n C-n C-n C-n C-a C-p C-. C-. C-, <return> 
>> 7 C-n C-n C-n C-e M-< C-n C-n C-n C-n C-n C-n C-n C-n 
>> C-n C-n C-n C-n C-n C-n C-n C-n C-e C-p C-e <backspace> 
>> 0 C-n C-n C-n C-n C-n C-n C-n C-n C-n C-p C-p C-p C-p 
>> C-p C-p C-p C-p C-p C-p C-p C-x C-s C-n C-n C-n C-n 
>> C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
>> C-n C-n C-n C-n C-n C-n C-n C-n C-n C-p <M-return> 
>> <C-return> C-q C-j I SPC r e a l l y SPC d o n ' t 
>> SPC w a n t SPC t o SPC s e t e <backspace> <backspace> 
>> e SPC H T M L S-SPC u n l e s s SPC i <backspace> t 
>> h a t ' s SPC a l l SPC t h e r e SPC i s . <backspace> 
>> C-c C-c C-x C-s C-p C-p C-p C-p C-p C-p C-p C-p C-p 
>> C-p C-p M-x r e p o <tab> r <tab> b <tab> <return>
>>
>> Recent messages:
>> Mark set [2 times]
>> Saving file /Users/dave/src/elisp.repo/elisp/custom.el...
>> Wrote /Users/dave/src/elisp.repo/elisp/custom.el
>> Compiling /Users/dave/src/elisp.repo/elisp/custom.el...done
>> Wrote /Users/dave/src/elisp.repo/elisp/custom.elc
>> Saving file /Users/dave/src/elisp.repo/elisp/custom.el...
>> Wrote /Users/dave/src/elisp.repo/elisp/custom.el
>> Compiling /Users/dave/src/elisp.repo/elisp/custom.el...done
>> Wrote /Users/dave/src/elisp.repo/elisp/custom.elc
>> Making completion list...

-- 
-Dave